# Import Projects (v1)

{% hint style="info" %}
This document uses the v1 API, which will eventually be deprecated, as further Snyk developments are now focused on the REST API. For more details, see the [v1 API](/snyk-api/v1-api.md).
{% endhint %}

You can use this API to import projects into Snyk. Projects imported can be Git repositories, Docker images, containers, configuration files, and much more. See the [Projects and Targets documentation](/snyk-platform-administration/snyk-projects.md#target) for more information. A typical import would start with requesting a target to be processed and then polling the Import Job API for more details on completion of an import and the resulting Snyk Projects.

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/org/{orgId}/integrations/{integrationId}/import" method="post" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/org/{orgId}/integrations/{integrationId}/import/{jobId}" method="get" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snyk.io/snyk-api/reference/import-projects-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
